Speech Recognition (MiMo‑V2.5-ASR) - OpenAI API Compatibility

Request Address

https://api.xiaomimimo.com/v1/chat/completions

Request Headers

The API supports the following two authentication methods. Please choose one and add it to the request headers:

  1. Method 1: api-key field authentication, format:

    api-key: $MIMO_API_KEY
    Content-Type: application/json
    
  2. Method 2: Authorization: Bearer authentication, format:

    Authorization: Bearer $MIMO_API_KEY
    Content-Type: application/json
    

Request body

Chat response object (non-streaming output)

Chat response chunk object (streaming output)

curl --location --request POST 'https://api.xiaomimimo.com/v1/chat/completions' \
--header "api-key: $MIMO_API_KEY" \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "mimo-v2.5-asr",
    "messages": [
        {
            "role": "user",
            "content": [
                {
                    "type": "input_audio",
                    "input_audio": {
                        "data": "data:{MIME_TYPE};base64,$BASE64_AUDIO"
                    }
                }
            ]
        }
    ],
    "asr_options": {
        "language": "auto"
    }
}'
response
{
    "id": "9f51eba459dd4dfdabb31cabba0cb7dc",
    "choices": [
        {
            "finish_reason": "stop",
            "index": 0,
            "message": {
                "content": "Good morning. Could you tell me what the weather will be like today?",
                "role": "assistant",
                "audio": null,
                "tool_calls": null,
                "audio_tokens": []
            }
        }
    ],
    "created": 1780398283,
    "model": "mimo-v2.5-asr",
    "object": "chat.completion",
    "usage": {
        "completion_tokens": 20,
        "prompt_tokens": 46,
        "total_tokens": 66,
        "completion_tokens_details": {
            "reasoning_tokens": 0
        },
        "prompt_tokens_details": {
            "audio_tokens": 25,
            "cached_tokens": 45
        },
        "seconds": 4
    }
}
Update Time June 02, 2026
We use cookies and similar technologies of our own to ensure the proper functioning of the website, customize content according to user preferences and analyze users' interactions on the website, as well as their browsing habits. You can find more information in our Cookie Policy. Select an option or go to Cookie Settings to manage your preferences. Learn More.